Skip to main content
PUT
/
v1
/
nomenclature
/
movements
/
{id}
Update movement
curl --request PUT \
  --url https://api.nomi.tools/v1/nomenclature/movements/{id} \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "date": "2023-12-25",
  "type": "buy",
  "legalEntityId": "<string>",
  "currencyId": "<string>",
  "parts": [
    {
      "nomenclatureId": "<string>",
      "quantity": 123,
      "unitPrice": 123,
      "id": "<string>",
      "externalId": "<string>",
      "vatPercent": 123,
      "vatAmount": 123
    }
  ],
  "id": "<string>",
  "externalId": "<string>",
  "counterpartyId": "<string>",
  "projectId": "<string>",
  "notes": "<string>",
  "tags": [
    {
      "id": "<string>",
      "name": "<string>"
    }
  ],
  "fileId": "<string>",
  "file2Id": "<string>",
  "file3Id": "<string>"
}
'
{
  "id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.nomi.tools/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use HTTP Basic Authentication. Provide your email as login and PPT token as the password.

Headers

Accept
enum<string>
default:application/json
required
Available options:
application/json

Path Parameters

id
string
required

Body

application/json
date
string<date>
required
type
enum<string>
required
Available options:
buy,
sell,
adjustment,
write-off
currencyId
string
required
parts
object[]
required
id
string | null
externalId
string | null
counterpartyId
string | null
projectId
string | null
notes
string | null
tags
object[]
fileId
string | null
file2Id
string | null
file3Id
string | null

Response

200 - application/json

Movement updated successfully

id
string